Bug 483999 - X BadAlloc crash when clicking combobox
X BadAlloc crash when clicking combobox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
: 772688 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 07:22 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:33:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing where to click (150.93 KB, image/png)
2009-02-04 07:22 EST, David Kovalsky
no flags Details
detailed backtrace (4.74 KB, text/plain)
2009-08-03 09:57 EDT, Michael Schwendt
no flags Details
File: backtrace (37.94 KB, text/plain)
2012-03-22 09:47 EDT, ted.feasel
no flags Details
File: backtrace (37.94 KB, text/plain)
2012-03-22 09:48 EDT, ted.feasel
no flags Details

  None (edit)
Description David Kovalsky 2009-02-04 07:22:23 EST
Created attachment 330856 [details]
Screenshot showing where to click

Description of problem:
Cliking combobox results in application crash.

gdb shows:
[New Thread 0xb602fb90 (LWP 17073)]
(no debugging symbols found)       
[Thread 0xb602fb90 (LWP 17073) exited]
[New Thread 0xb602fb90 (LWP 17074)]
[Thread 0xb602fb90 (LWP 17074) exited]
[New Thread 0xb602fb90 (LWP 17075)]
[Thread 0xb602fb90 (LWP 17075) exited]
[New Thread 0xb602fb90 (LWP 17076)]
[Thread 0xb602fb90 (LWP 17076) exited]
(no debugging symbols found)
[New Thread 0xb602fb90 (LWP 17077)]
[Thread 0xb602fb90 (LWP 17077) exited]
The program 'claws-mail' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 9519 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)



Version-Release number of selected component (if applicable):
claws-mail-3.7.0-1.fc10.i386

How reproducible:
always in my case

Reproducer:
1) start claws-mail
2) click the combobox highlighted in screenshot

See screenshot. Let me know if you need more information.
Comment 1 Colin Leroy 2009-03-27 18:24:57 EDT
Seems strange. It doesn't happen to many people as it's the first time I've seen that reported. It's a stock GTK widget... Maybe test with another theme?
Comment 2 David Kovalsky 2009-03-30 05:10:18 EDT
I'll be more than happy to try :-) Because I'm not really a theme guy (OK, I change my desktop background, that's it) - how do I try with another theme?
Comment 3 Michael Schwendt 2009-08-03 07:25:45 EDT
I use that combobox frequently, and it has never crashed for me so far.

> How reproducible:
> always in my case

Do you see anything suspicious in $HOME/.claws-mail/quicksearch_history? Just curious.
Comment 4 David Kovalsky 2009-08-03 07:49:16 EDT
Hi Michael,

good pointer! 

Suspicious - well, I do use a very complicated "extended search", almost 5000 chars on one line. I have a script which converts a set of rules (one line each, with comments) to a claws-like extended search format. Each rule is seperated by '|'. I copy/paste this long string into the search box to select messages out of trash that I want to purge. 

I've tried renaming quicksearch_history to quicksearch_history.bak, start claws, search for "asdf", close claws, open again and try clicking the combo it doesn't crash.

Recap: If I remove the extra-long string from the quicksearch_history file, claws doesn't crash anymore. Perhaps there's a limit on the length of the string the combobox can handle? 

In the end, the error message in comment #0 contains:
"""
The program 'claws-mail' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
"""

HTH,
/David
Comment 5 Michael Schwendt 2009-08-03 09:57:46 EDT
Created attachment 356029 [details]
detailed backtrace

Yes, it's X that runs out of resources. Here a huge drawing area appears prior to the crash. I wonder whether Gtk or Cairo can do something about it? Kind of prevent the crash maybe?

#17 0x07cae4ae in gdk_window_clear_backing_rect (window=<value optimized out>, x=<value optimized out>, y=0, width=55569, height=466) at gdkwindow.c:2075

[...]

To reproduce (Fedora 11):

1) cat /etc/services | tr '\n' ' ' > $HOME/.claws-mail/quicksearch_history
2) Start claws-mail
3) Click quicksearch combobox as explained in original bug description.
Comment 6 Bug Zapper 2009-11-18 04:09:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Michael Schwendt 2009-11-18 06:36:17 EST
Not reproducible: Fedora 12

Reproducible: Fedora 11
Comment 8 Bug Zapper 2010-04-27 08:51:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 David Kovalsky 2010-04-27 09:02:46 EDT
Not reproducible on F12 x86_64, which I have ATM.

gtk2-2.18.9-3.fc12.x86_64
Comment 10 Matthias Clasen 2010-05-10 09:52:27 EDT
not going to try and fix this in f11 at this point, sorry.
Comment 11 Michael Schwendt 2012-01-09 12:22:34 EST
*** Bug 772688 has been marked as a duplicate of this bug. ***
Comment 12 Michael Schwendt 2012-01-09 12:25:08 EST
A new test-case is needed, however. If I open Claws Mail and post something long in the quicksearch combobox, this can be used to cause various crashes.
Comment 13 Michael Schwendt 2012-01-09 12:30:20 EST
Test-case:

  $ rm -f ~/.claws-mail/quicksearch_history
  $ for i in `seq 1000`; do echo -n $i >> ~/.claws-mail/quicksearch_history ; done
  $ claws-mail

Open "From/To/Subject/Tag" search combobox. The crash takes down gnome-shell, too.
Comment 14 ted.feasel 2012-03-22 09:47:12 EDT
fowarded a email

backtrace_rating: 4
Package: claws-mail-3.8.0-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 ted.feasel 2012-03-22 09:47:18 EDT
Created attachment 571995 [details]
File: backtrace
Comment 16 ted.feasel 2012-03-22 09:48:25 EDT
fowarded a email, i can reproduce without fail by fowarding email

backtrace_rating: 4
Package: claws-mail-3.8.0-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 17 ted.feasel 2012-03-22 09:48:28 EDT
Created attachment 571997 [details]
File: backtrace
Comment 18 Michael Schwendt 2012-03-22 10:05:03 EDT
@ ted.feasel
Can you retry after installing
https://admin.fedoraproject.org/updates/FEDORA-2012-4288
?
Comment 19 Fedora End Of Life 2013-01-16 19:58:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Fedora End Of Life 2013-02-13 21:34:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.